uk.gov.hmrc.auth.core

# authorise

#### package authorise

Visibility

1. Public
2. All

### Type Members

1. #### case class AlternatePredicate(predicateA: Predicate, predicateB: Predicate) extends Predicate with Product with Serializable

2. #### case class CompositePredicate(predicateA: Predicate, predicateB: Predicate) extends Predicate with Product with Serializable

3. #### trait Predicate extends AnyRef

   Defines a boolean check against auth properties

4. #### case class RawJsonPredicate(toJson: JsArray) extends Predicate with Product with Serializable

### Value Members

1. #### object EmptyPredicate extends Predicate

### Ungrouped